<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->


<div
  *ngFor="let subtypeMetadata of subtype.subtypeMetadataList"
  class="form-group">
  <label class="w-100">
    <app-smart-shrink [text]="subtypeMetadata.metadata.name"></app-smart-shrink>
  </label>
  <app-metadata-input
    [type]="subtypeMetadata.metadata.type"
    [restrictedValues]="subtypeMetadata.metadata.restrictedValues"
    [defaultValue]="subtypeMetadata.defaultValue"
    [editable]="subtypeMetadata.editable || isFolderEditable"
    [mandatory]="subtypeMetadata.mandatory"
    [(value)]="valuedMetadata[subtypeMetadata.metadata.key]"
    (valueChange)="onValueChanged(subtypeMetadata)">
  </app-metadata-input>
</div>

<div *ngIf="isFolderEditable" class="form-group d-flex justify-content-end">
  <button
    ls-button-save
    (click)="onSaveButtonClicked()"
    [disabled]="isSaveBtnDisabled || !isFolderEditable"
    [processing]="isProcessing">
  </button>
</div>

